pgxivocc:
  image: xivoxc/pgxivocc:latest

  ports:
  - 5443:5432

  volumes_from:
  - postgresvols
  - timezone

  environment:
  - POSTGRES_PASSWORD=xivocc

  restart: always

postgresvols:
  image: ubuntu:14.04.3

  volumes:
  - /var/lib/postgresql/data

xivo_replic:
  image: xivoxc/xivo-db-replication:latest

  links:
  - pgxivocc:db
  - elasticsearch:elasticsearch

  environment:
  - JAVA_OPTS=-Xms256m -Xmx256m
  - XIVO_HOST=192.168.51.93

  volumes_from:
  - timezone
  - xivocclogs

  restart: always

xivo_stats:
  image: xivoxc/xivo-full-stats:latestast13

  links:
  - pgxivocc:db

  environment:
  - JAVA_OPTS=-Xms256m -Xmx2048m
  - XIVO_HOST=192.168.51.93

  volumes_from:
  - timezone
  - xivocclogs

  restart: always

pack_reporting:
  image: xivoxc/pack-reporting:latest

  links:
  - pgxivocc:reporting

  environment:
  - WEEKS_TO_KEEP=52

  volumes_from:
  - timezone
  - xivocclogs

  restart: always

elasticsearch:
  image: elasticsearch:1.7.2

  ports:
  - "9200:9200"
  - "9300:9300"

  volumes_from:
  - timezone

  restart: always

kibana_volumes:
  image: xivoxc/kibana_volume:latest

  restart: always

fingerboard:
  image: xivoxc/fingerboard:latest

  restart: always

nginx:
  image: xivoxc/xivoxc_nginx:latest

  ports:
  - 80:80

  links:
  - elasticsearch
  - xuc
  - xucmgt

  extra_hosts:
  - "xivo_host:192.168.51.93"

  volumes_from:
  - kibana_volumes
  - fingerboard

  volumes:
  - /etc/docker/nginx/ssl:/etc/nginx/ssl

  restart: always

spagobi:
  image: xivoxc/spagobi:latest

  ports:
  - 9500:8080

  links:
  - pgxivocc:db

  volumes_from:
  - timezone

  restart: always

recording_rsync:
  image: xivoxc/recording-rsync:latest

  volumes:
  - /var/spool/recording-server:/var/spool/recording-server

  restart: always

  ports:
  - 873:873

config_mgt:
  image: xivoxc/config-mgt:latest

  links:
  - pgxivocc:db

  ports:
  - 9100:9000

  environment:
  - JAVA_OPTS=-Xms64m -Xmx128m
  - XIVO_HOST=192.168.51.93

  volumes_from:
  - timezone
  - xivocclogs

  restart: always

recording_server:
  image: xivoxc/recording-server:latest

  links:
  - pgxivocc:db
  - pgxivocc:reporting
  - config_mgt:configmgt

  ports:
  - 9400:9000

  environment:
  - JAVA_OPTS=-Xms64m -Xmx128m
  - XIVO_HOST=192.168.51.93
  - RECORDING_WEEKS_TO_KEEP=52

  restart: always

  volumes_from:
  - timezone
  - xivocclogs

  volumes:
  - /var/spool/recording-server:/var/spool/recording-server

xuc:

  image: xivoxc/xuc:latestast13

  ports:
  - 8090:9000

  environment:
  - JAVA_OPTS=-Xms512m -Xmx1024m
  - XIVO_HOST=192.168.51.93
  - CONFIG_MGT_HOST=config
  - CONFIG_MGT_PORT=9000

  volumes_from:
  - xivocclogs
  - timezone

  links:
  - recording_server:recording
  - config_mgt:config

  log_driver: "json-file"

  restart: always

xucmgt:

  image: xivoxc/xucmgt:latest

  ports:
  - 8070:9000

  environment:
  - JAVA_OPTS=-Xms256m -Xmx512m
  - XUC_HOST=192.168.51.108
  - XUC_PORT=8090

  volumes_from:
  - timezone
  - xivocclogs

  log_driver: "json-file"

  restart: always

timezone:
  image: ubuntu:14.04.3

  volumes:
  - /etc/timezone:/etc/timezone:ro
  - /etc/localtime:/etc/localtime:ro

xivocclogs:
  image: ubuntu:14.04.3
  volumes:
  - /var/log/xivocc:/opt/docker/var/log
